Bug 670060 - yum update fails on xen component error
yum update fails on xen component error
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-16 20:51 EST by Geoff Quelch
Modified: 2014-01-21 01:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-19 14:50:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from "yum update". (21.31 KB, application/octet-stream)
2011-01-17 15:20 EST, Geoff Quelch
no flags Details
Output from yum -y update (21.74 KB, application/octet-stream)
2011-01-17 15:30 EST, Geoff Quelch
no flags Details

  None (edit)
Description Geoff Quelch 2011-01-16 20:51:06 EST
Description of problem: yum update fails with message:

ERROR with rpm_check_debug vs depsolve:
xen-libs is needed by (installed) xen-3.0.3-80.el5.i386

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. run "yum update"
2.
3.
  
Actual results:
See error.

Expected results:
yum update completes

Additional info:
Comment 1 Miroslav Rezanina 2011-01-17 02:38:07 EST
Hi Geoff,
can you please provide following infos:

output of rpm -qa "xen*"
output of uname -a
full output of yum update
Comment 2 Geoff Quelch 2011-01-17 15:20:32 EST
Created attachment 473924 [details]
Output from "yum update".

Output from "yum update".
Comment 3 Geoff Quelch 2011-01-17 15:30:04 EST
Created attachment 473927 [details]
Output from yum -y update
Comment 4 Geoff Quelch 2011-01-17 15:31:29 EST
[root@ndws00 ~]# rpm -qa "xen"
xen-3.0.3-80.el5
[root@ndws00 ~]# uname -a
Linux ndws00.deos.udel.edu 2.6.18-194.11.3.el5 #1 SMP Mon Aug 23 15:49:21 EDT 2010 i686 i686 i386 GNU/Linux
Comment 5 Miroslav Rezanina 2011-01-18 01:23:21 EST
Thanks...just to output of rpm -qa..It should be rpm -qa "xen*" (with star to list all xen packages). Anyway, I see no problem from xen perspective. Reassign to yum to check what's wrong.
Comment 6 James Antill 2011-01-18 09:30:47 EST
Actually run these commands instead:

rpm -Va --nofiles --nodigest
yum list 'xen*'
Comment 7 Geoff Quelch 2011-01-19 12:46:24 EST
[root@ndws00 ~]# rpm -Va --nofiles --nodigest
Unsatisfied dependencies for xen-3.0.3-80.el5.i386: xen-libs = 3.0.3-80.el5

and

[root@ndws00 ~]# yum list 'xen*'
Loaded plugins: rhnplugin, security
/usr/lib/python2.4/xmllib.py:9: DeprecationWarning: The xmllib module is obsolete.  Use xml.sax instead.
  warnings.warn("The xmllib module is obsolete.  Use xml.sax instead.", DeprecationWarning)
Installed Packages
xen.i386                                            3.0.3-80.el5                                            installed
xen-libs.i386                                       3.0.3-105.el5_5.5                                       installed
Available Packages
xen-libs.i386                                       3.0.3-120.el5                                           rhel-i386-server-5

Thanks.
Comment 8 James Antill 2011-01-19 14:50:27 EST
Right, fix the pre-existing problems in the rpmdb and yum will be happy (yum assumes that the rpmdb is good before depsolving, rpm doesn't so much).
Comment 9 Geoff Quelch 2011-01-19 15:45:16 EST
OK, so what's wrong with the rpmdb and how do I fix it?
Thanks.
Comment 10 James Antill 2011-01-19 16:11:37 EST
You have a package already installed "xen" which has a requirement "xen-libs = 3.0.3-80.el5" which isn't met. This shouldn't be possible.

You could "yum remove xen" (or rpm -e xen), or try:

yum install "xen-libs = 3.0.3-80.el5"

...after the rpmdb is fixed, yum should work fine.
Comment 11 Geoff Quelch 2011-01-19 16:34:15 EST
Since we don't use xen, I simply removed the xen packages and dependencies.
Re-running the yum update seems to be working fine now.

Many thanks for your help.
Geoff Quelch

Note You need to log in before you can comment on or make changes to this bug.